> For the complete documentation index, see [llms.txt](https://docs.runesdex.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.runesdex.com/api-docs/introduction.md).

# Introduction

Get started interacting and building on top of the RunesDeX Platform with our REST API. For access please reach out to <partners@runesdex.com>.

## General Info

**Base URL:** `https://app.runesdex.com/v1`

### **Authentication:**

The RunesDEX API uses API keys to authenticate requests. The API key you’ve been provided must be included in the `x-api-key` HTTP header in all authenticated requests. To request an API key, please reach out to the RunesDEX team.

### Responses:

* **200 OK:** The swap was successful. The response will include details of the transaction.
* 400 Bad Request: The request was invalid (e.g., missing parameters, invalid values).
* 500 Internal Server Error: An error occurred on the server while processing the request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.runesdex.com/api-docs/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
